sed -i "s|display_errors\s*=\s*Off|display_errors = ${PHP_DISPLAY_ERRORS}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|display_startup_errors\s*=\s*Off|display_startup_errors = ${PHP_DISPLAY_STARTUP_ERRORS}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|error_reporting\s*=\s*E_ALL & ~E_DEPRECATED & ~E_STRICT|error_reporting = ${PHP_ERROR_REPORTING}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|;*memory_limit =.*|memory_limit = ${PHP_MEMORY_LIMIT}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|;*upload_max_filesize =.*|upload_max_filesize = ${PHP_MAX_UPLOAD}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|;*max_file_uploads =.*|max_file_uploads = ${PHP_MAX_FILE_UPLOAD}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|;*post_max_size =.*|post_max_size = ${PHP_MAX_POST}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|;*cgi.fix_pathinfo=.*|cgi.fix_pathinfo= ${PHP_CGI_FIX_PATHINFO}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|expose_php\s*=\s*On|expose_php = ${PHP_EXPOSE_INFO}|i" /etc/php${PHP_VERSION}/php.ini
sed -i "s|file_uploads\s*=\s*On|file_uploads = ${PHP_FILE_UPLOADS}|i" /etc/php${PHP_VERSION}/php.ini

rm -rf var/cache/*
rm -rf var/logs/*
chmod -R 777 var/cache

/usr/local/bin/rr serve -c .rr.yaml